Subject: bug#78593: 31.0.50; describe-key broken on interactive lambdas

From: Stefan Monnier <[email-masked]>
Date: Sat, 28 Jun 2025 19:10:18 -0400

>>>> IMO, `function-get/put` should accept *functions* as arguments, not
>>>> just symbols.
> I'm a bit confused about function-put: are you saying that all functions
> should have a plist (in a weak hash table?) that function-put
> manipulates,

Well, how to make it work for non-symbol functions is up in the air.
But I'm just saying that we shouldn't *necessarily* disallow it (as
long as we can make it work).
The weak hash-table is what we do for `set-advertised-calling-convention`.

> or that we should silently ignore attempts to set a function property
> on a non-symbol?

I don't have a clear opinion on that.

        Stefan